Subject: RE: Need help with some missing functions
From: [email-masked] (Sergey Okhapkin)

28 May 1997 08:34:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]'" <[email-masked]>,
        "'Mark A Gregory'"
	 <[email-masked]>
Encoding: 38 TEXT
Original-Sender: [email-masked]

Mark A Gregory wrote:
> Hi,
>
> I'm trying to compile a program and I have got it down to these missing 
functions:
>
> /empire/emp4/lib/libcommands.a(info.o)(.text+0x37e):info.c: undefined 
reference to `errno'
> /empire/emp4/lib/libcommands.a(info.o)(.text+0x552):info.c: undefined 
reference to `alphasort'
> /empire/emp4/lib/libcommands.a(info.o)(.text+0x56c):info.c: undefined 
reference to `scandir'
> /empire/emp4/lib/libcommon.a(hours.o)(.text+0xaf):hours.c: undefined 
reference to `errno'
> /empire/emp4/lib/libcommon.a(wantupd.o)(.text+0x96):wantupd.c: undefined 
reference to `errno'
> /empire/emp4/lib/libgen.a(io.o)(.text+0xc33):io.c: undefined reference to 
`shutdown'
> /empire/emp4/lib/libgen.a(io.o)(.text+0xc5c):io.c: undefined reference to 
`shutdown'
> /empire/emp4/lib/liblwp.a(lwp.o)(.text+0x39b):lwp.c: undefined reference 
to `sigmask'
> /empire/emp4/lib/liblwp.a(lwp.o)(.text+0x65e):lwp.c: undefined reference 
to `lwpInitContext'
>
> would someone please tell me if the gnu-win32 has alternatives or a 
library that I
> need to include.

Add #include <errno.h> to info.c, hours.c and wantupd.c, use POSIX 
sigprocmask() instead of BSD sigmask(). Looks like scandir() is something 
about POSIX opendir/readdir. Nothing about the other missed calls...

--
Sergey Okhapkin
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".